Enviar Sticker
curl --request POST \
--url https://apis.vectalk.com.br/api/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messaging_product": "<string>",
"recipient_type": "<string>",
"to": "<string>",
"type": "<string>",
"context": {
"context.message_id": "<string>"
},
"sticker": {
"sticker.id": "<string>",
"sticker.link": "<string>"
}
}
'import requests
url = "https://apis.vectalk.com.br/api/messages"
payload = {
"messaging_product": "<string>",
"recipient_type": "<string>",
"to": "<string>",
"type": "<string>",
"context": { "context.message_id": "<string>" },
"sticker": {
"sticker.id": "<string>",
"sticker.link": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messaging_product: '<string>',
recipient_type: '<string>',
to: '<string>',
type: '<string>',
context: {'context.message_id': '<string>'},
sticker: {'sticker.id': '<string>', 'sticker.link': '<string>'}
})
};
fetch('https://apis.vectalk.com.br/api/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Mensagens
Enviar Sticker
Envia uma mensagem de sticker via WhatsApp.
POST
/
messages
Enviar Sticker
Parâmetros
Body
string
default:"whatsapp"
required
Sempre
"whatsapp".string
default:"individual"
Tipo de destinatário:
"individual".string
required
Número do destinatário no formato
wa_id.string
default:"sticker"
required
Sempre
"sticker".object
Para responder uma mensagem específica.
Show Campos
Show Campos
string
required
ID da mensagem a ser respondida.
object
required
Exemplo por ID
{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "5511999999999",
"type": "sticker",
"sticker": {
"id": "1234567890"
}
}
Exemplo por URL
{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "5511999999999",
"type": "sticker",
"sticker": {
"link": "https://example.com/sticker.webp"
}
}
Resposta
{
"messaging_product": "whatsapp",
"contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
"messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
}
⌘I